rm(list = setdiff(ls(), lsf.str()))
load(paste(dirname(sys.frame(1)$ofile),"/problem_LOGEXPSUM_MaxLikelihood_CV_data.RData",sep = ""))

problem.list<- list()

problem.list$matrix_allscenarios <- matrix_allscenarios

problem.list$problem_statement <- sprintf("for {matrix_fact_in; matrix_fact_out; num} = crossvalidation(4, matrix_allscenarios)
                                Problem: problem_num, maximize
                                  logexp_sum(matrix_fact_in)
                                Value:
                                  logistic_in_num(matrix_fact_in)
                                  logistic_out_num(matrix_fact_out)
                                  logexp_sum(matrix_fact_out)")


results.full <- rpsg_solver(problem.list)

results <- rpsg_getsolution(results.full)

#Table 1. Optimal points

optimal_point_table <-matrix(c(results[[1]]$point_problem_1,
                  results[[2]]$point_problem_2,
                  results[[3]]$point_problem_3,
                  results[[4]]$point_problem_4),ncol = 4)
rownames(optimal_point_table)<-names(results[[1]]$point_problem_1)

#Table 2. Value of log-likelihood function for logistic regression
log_likelihood_in <- NULL
log_likelihood_oos <- NULL
for (i in 1:4){
  log_likelihood_in <- c(log_likelihood_in,results[[i]]$function.value[[1]])
  log_likelihood_oos <- c(log_likelihood_oos,results[[i]]$function.value[[2]])
}
names(log_likelihood_in)<-c("In-Sample1","In-Sample2","In-Sample3","In-Sample4")
names(log_likelihood_oos)<-c("Out-of-Sample1","Out-of-Sample2","Out-of-Sample3","Out-of-Sample4")

log_likelihood_table <- c(log_likelihood_in,log_likelihood_oos)

print("Table 1. Optimal points")
print(optimal_point_table)

print("Table 2. Value of log-likelihood function for logistic regression")
print(log_likelihood_table)
